{ pkgs, ... }: {
  imports = [
    ./starship.nix
    ./hyprland.nix
  ];


  # Custom dconf settings
  dconf.settings."org/gnome/desktop/input-sources" = {
    xkb-options = [ "caps:swapescape" ];
  };

  programs.zsh.envExtra = ''
    source ~/.zshrc.secrets
  '';

  home.packages = with pkgs; [
    libreoffice-fresh
    jetbrains.rust-rover
    jetbrains.idea-ultimate
    eduvpn-client
    localsend
    obsidian
    typst
    prismlauncher
  ];
}
